# Changelog

## 2024-11-30 - 3.1.8 - fix(core)
Fix candidate handling in PDF generation

- Added error handling for missing PDF candidates in server requests.
- Updated devDependencies and dependencies to latest versions for better stability and new features.
- Patched header retrieval logic during PDF generation for security check.

## 2024-09-27 - 3.1.7 - fix(dependencies)
Update dependencies to latest versions

- Updated @git.zone/tsbuild to version ^2.1.84
- Updated @git.zone/tsdoc to version ^1.3.12
- Updated @git.zone/tsrun to version ^1.2.49
- Updated @push.rocks/tapbundle to version ^5.3.0
- Updated @types/node to version ^22.7.4
- Updated @push.rocks/smartfile to version ^11.0.21
- Updated @push.rocks/smartpromise to version ^4.0.4
- Updated @tsclass/tsclass to version ^4.1.2
- Updated express to version ^4.21.0
- Updated pdf2pic to version ^3.1.3

## 2024-05-29 - 3.1.6 - Core
Updated description

- Minor changes to documentation and internal text.

## 2024-04-25 to 2024-04-30 - 3.1.0 to 3.1.5 - Core
Fix updates in core functionality

- Fixes and updates in core function in versions 3.1.0 to 3.1.5.

## 2024-04-25 - 3.0.17 - Feature
Now supports PDF to JPG conversion

- Added support for converting PDF files to JPG format.
  
## 2024-03-19 to 2024-04-14 - 3.0.17 - Maintenance
Various updates to project configuration files

- Updated `tsconfig`.
- Updated `npmextra.json`.

## 2023-07-11 to 2024-03-19 - 3.0.15 to 3.0.16 - Organization
Switch to new organization scheme and core updates

- Switched to new organization scheme.
- Applied core updates and bug fixes.

## 2022-11-07 to 2023-07-10 - 3.0.13 to 3.0.14 - Core
Fixes and updates to core functionality

- Various minor bug fixes and updates to core components.

## 2022-09-13 to 2022-11-07 - 3.0.10 to 3.0.12 - Core
Ongoing core updates and maintenance

- Regular fixes and operational improvements in core functionalities.

## 2022-06-12 to 2022-09-13 - 3.0.7 to 3.0.9 - Core
Continued focus on high-priority bug fixes and core functionalities

- Regular fixes for critical bugs and enhancements.

## 2022-03-24 to 2022-06-29 - 3.0.3 to 3.0.6 - Core
Further optimization and maintenance releases

- Further improvements and refinements of issues in core functionalities.

## 2022-01-05 to 2022-03-25 - 3.0.0 to 3.0.2 - Major Version Release
Major release for version 3.0.x, including core fixes

- Increased version from 2.x to 3.0. New significant changes and fixes.

## 2022-01-05 to 2022-03-24 - 2.0.13 to 2.0.19 - Core
Routine core updates and bug fixes

- Regular bug fixes in core components.

## 2019-11-19 to 2022-01-06 - 2.0.0 to 2.0.11 - Core
Multiple core updates and a few performance improvements

- Some performance enhancements and multiple bug fixes.
  
## 2019-11-16 to 2019-11-19 - 1.0.27 to 1.0.29 - API
Breaking change in API

- Naming PDF results to better represent their content.

## 2019-05-29 to 2019-11-15 - 1.0.13 to 1.0.26 - Core
Core functional updates and some major restructuring

- Introduced multiple updates to the core, addressing bugs and improving stability.
  
## 2019-04-10 to 2019-05-28 - 1.0.4 to 1.0.12 - Core
Fixes and updates in the core

- Implementation of multiple essential fixes for core components.

## 2018-10-06 - 1.0.1 to 1.0.3 - Core and Typings
Initial implementation and core fixes

- Initial implementation of the project.
- Fixed compilation problems in typings.
  
## 2016-01-29 - unknown - Initial
Initial commit

- Initial commit for the project setup.
